417f91fae3c2

More
[view raw] [browse files]
author Steve Losh <steve@stevelosh.com>
date Thu, 28 Mar 2024 16:06:55 -0400
parents f6bdfbdf747e
children 2c74f844352e
branches/tags (none)
files remote/bin/slurm-shell

Changes

--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/remote/bin/slurm-shell	Thu Mar 28 16:06:55 2024 -0400
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+read -p "Account? "
+acct="$REPLY"
+
+read -p "Hours? "
+hours="$REPLY"
+
+read -p "CPUs? "
+cpus="$REPLY"
+
+read -p "Memory (gb)? "
+mem_gb="$REPLY"
+mem_kb=$(( mem_gb * 1024 * 1024 / cpus ))
+
+exec salloc --account="$acct" --nodes=1 --ntasks-per-node=1 --mem-per-cpu="$mem_kb"K --cpus-per-task="$cpus" --time="$hours":00:00